<?php
/**********************************************\
| SMFSHOP (Shop MOD for Simple Machines Forum) |
|         (c) 2005 DanSoft Australia           |
|      http://www.dansoftaustralia.net/        |
\**********************************************/

//File: Flag.php
//      When purchased by a user, shows a specified flag icon next to their posts.

//NOTE: Some file edits are necessary to make this item work!!! --> Package does this automatically

//VERSION: Not in SMFShop install as yet (item version 0.1 beta)
//DATE: 24th September 2005 --> Bugs fixed 23rd April 2006

class item_Flag extends itemTemplate {
    function getItemDetails() {
        $this->name = "Icon Image";
        $this->desc = "Shows an Icon under your posts.";
        $this->price = 1000;
        
        $this->require_input = true;
        $this->can_use_item = true;
    }

    function getUseInput() {

        global $boardurl, $boarddir, $scripturl;
        
        //Lots of this code is borrowed from the admin panel echoSelectImage() function,
        //located in ShopAdmin.php
        
        $image_array = array();
        if ($handle = opendir("$boarddir/Sources/shop/flag_images")) {
            while (false !== ($file = readdir($handle))) {
                if ($file !== "." && $file !== ".." && $file !== "thumbs.db") {

                    $image_array[] = array('filename' => $file,
                                           'filetitle' => substr($file, 0, -4)
                                           );
                }
            }
            sort($image_array);
        } else {
            die("ERROR: Can't open Sources/shop/flag_images directory!");
        }

        $return = "
        </form>
        <form action='{$scripturl}?action=shop;do=inv3;id={$_GET['id']}' method='POST' name='theFlagForm'>
          Please choose an Icon: <img name='flag_preview' src='' border='1'>
          <select name='flag' onChange='show_image()'>";

        foreach ($image_array as $tempitem) {
            $return .= "<option value='{$tempitem['filename']}'>{$tempitem['filetitle']}</option>";
        }
    
        $return .= "
        </select><br>

        <script language='javascript'>
        <!--
        function show_image() {
            var image_url = '{$boardurl}/Sources/shop/flag_images/' + document.theFlagForm.flag.value;
            document.images['flag_preview'].src = image_url;
        }
        
        show_image();
        //-->
        </script>";

        return $return;
    }

    function onUse() {
        global $db_prefix, $ID_MEMBER;
        
        /*
        $result = db_query("UPDATE {$db_prefix}members
                            SET shop_Flag = '{$_POST['flag']}'
                            WHERE ID_MEMBER = {$ID_MEMBER}",
                            __FILE__, __LINE__);
        */
        $result = db_query("UPDATE {$db_prefix}members
                            SET shop_Flag = CONCAT(shop_Flag, ',{$_POST['flag']}')
                            WHERE ID_MEMBER = {$ID_MEMBER}",
                            __FILE__, __LINE__);

        return "Successfully added Icon {$_POST['flag']} to your Profile Icons!";
    }

}

?>
